org.eclipse.actf.model.flash

## Interface IASNode

    public interface IASNode

Interface to implement wrapper class for ActionScript Node class. This Node class wraps all type of ActionScript entities (primitive values, special visual objects, and other object instances) and its derived information.

### Method Summary

Methods
`ASAccInfo` `getAccInfo()`
`IASNode[]` `getChildren(boolean visual)`
`String` `getClassName()`
`int` `getCurrentFrame()`
`int` `getDepth()`
`IASNode[]` `getEntireChildren()` List all entities including the internal variables based on object structure.
`double` `getHeight()`
`String` `getIconType()`
`int` `getId()`
`Set<String>` `getKeys()` Gets the `Set` of keys of corresponding `ASObject`
`int` `getLevel()`
`Object` `getObject(String name)` Gets the value for a given key from corresponding `ASObject`
`String` `getObjectName()`
`IASNode` `getParent()`
`IFlashPlayer` `getPlayer()`
`int` `getTabIndex()`
`String` `getTarget()`
`String` `getText()`
`String` `getText(boolean useAccName)`
`String` `getTitle()`
`String` `getType()`
`String` `getValue()`
`double` `getWidth()`
`double` `getX()`
`double` `getY()`
`boolean` `hasChild(boolean visual)`
`boolean` `hasChild(boolean visual, boolean entire)`
`boolean` `hasOnRelease()`
`boolean` `isAccProperties()`
`boolean` `isInputable()`
`boolean` `isOpaqueObject()`
`boolean` `isUIComponent()`
`boolean` `setMarker()`

### Method Detail

#### getIconType

    String getIconType()

Returns:
  icon type of the node

#### getType

    String getType()

Returns:
  type of the node
See Also:
  `IFlashConst.ASNODE_TYPE`

#### getClassName

    String getClassName()

Returns:
  class name of the node
See Also:
  `IFlashConst.ASNODE_CLASS_NAME`

#### getObjectName

    String getObjectName()

Returns:
  short instance name of the node
See Also:
  `IFlashConst.ASNODE_OBJECT_NAME`

#### getTarget

    String getTarget()

Returns:
  full instance name of the node
See Also:
  `IFlashConst.ASNODE_TARGET`

#### isUIComponent

    boolean isUIComponent()

Returns:
  whether the node is UI Component
See Also:
  `IFlashConst.ASNODE_IS_UI_COMPONENT`

#### getValue

    String getValue()

Returns:
  string representation of the node's value
See Also:
  `IFlashConst.ASNODE_VALUE`

#### getText

    String getText()

Returns:
  text content of the node. This method is equals to `getText(true);`
See Also:
  `IFlashConst.ASNODE_TEXT`

#### getText

    String getText(boolean useAccName)

Parameters:
  `useAccName` -
Returns:
  text content of the node. If `useAccName` is true, try to get text content information from `ASAccInfo`
See Also:
  `ASAccInfo`

#### getTitle

    String getTitle()

Returns:
  title of the node

#### getObject

    Object getObject(String name)

Gets the value for a given key from corresponding `ASObject`

Parameters:
  `name` - name of a key
Returns:
  value for given key
See Also:
  `ASObject.get(String)`

#### getParent

    IASNode getParent()

Returns:
  parent `IASNode` of the node

#### getLevel

    int getLevel()

Returns:
  level (depth) of the node from root `IASNode` (root=0)

#### hasChild

    boolean hasChild(boolean visual)

Parameters:
  `visual` -
  - true: use visual structure (use AS `getInnerNodes` method)
  - false: use object structure
Returns:
  true if the node has child

#### hasChild

    boolean hasChild(boolean visual,
                   boolean entire)

Parameters:
  `visual` -
  - true: use visual structure (use AS `getInnerNodes` method)
  - false: use object structure
  `entire` -
  - true: check all entities including the internal variables. Apparent parent-child relationships are used as specified, even if there are circular references.
  - false: check without the internal variables. Circular references are removed.
Returns:
  true if the node has child

#### getChildren

    IASNode[] getChildren(boolean visual)

Parameters:
  `visual` -
  - true: use visual structure (use AS `getInnerNodes` method)
  - false: use object structure
Returns:
  children of the node as `IASNode` array

#### getEntireChildren

    IASNode[] getEntireChildren()

List all entities including the internal variables based on object structure. Apparent parent-child relationships are used as specified, even if there are circular references. This method is intend to show all Flash entities for debug purpose.

Returns:
  children of the node as `IASNode` array

#### setMarker

    boolean setMarker()

Returns:
  highlight the node

#### getPlayer

    IFlashPlayer getPlayer()

Returns:
  `IFlashPlayer` that contains the node

#### getAccInfo

    ASAccInfo getAccInfo()

Returns:
  `ASAccInfo` of the node

#### getKeys

    Set<String> getKeys()

Gets the `Set` of keys of corresponding `ASObject`

Returns:
  Set of keys
See Also:
  `ASObject.getKeys()`

#### hasOnRelease

    boolean hasOnRelease()

Returns:
  whether the node is Button component and its onRelease handler is defined.

#### getX

    double getX()

Returns:
  x coordinate of the node
See Also:
  `IFlashConst.ASNODE_X`

#### getY

    double getY()

Returns:
  y coordinate of the node
See Also:
  `IFlashConst.ASNODE_Y`

#### getWidth

    double getWidth()

Returns:
  width of the node
See Also:
  `IFlashConst.ASNODE_WIDTH`

#### getHeight

    double getHeight()

Returns:
  height of the node
See Also:
  `IFlashConst.ASNODE_HEIGHT`

#### getId

    int getId()

Returns:
  ID of the node
See Also:
  `IFlashConst.ASNODE_ID`

#### getDepth

    int getDepth()

Returns:
  depth (aka z-oder) of the node
See Also:
  `IFlashConst.ASNODE_DEPTH`

#### getCurrentFrame

    int getCurrentFrame()

Returns:
  current frame of the node
See Also:
  `IFlashConst.ASNODE_CURRENT_FRAME`

#### getTabIndex

    int getTabIndex()

Returns:
  tab index of the node
See Also:
  `IFlashConst.ASNODE_TAB_INDEX`

#### isInputable

    boolean isInputable()

Returns:
  whether the node is input-able by users.
See Also:
  `IFlashConst.ASNODE_IS_INPUTABLE`

#### isOpaqueObject

    boolean isOpaqueObject()

Returns:
  whether the system should traverse into its children.
See Also:
  `IFlashConst.ASNODE_IS_OPAQUE_OBJECT`

#### isAccProperties

    boolean isAccProperties()

Returns:
  whether the node is accessibility property node